<div class="access-import">
    <div class="text-center">
        <button class="btn btn-primary btn-small" (click)="logout()">
            <em class="las la-sign-out-alt f-16 mr-2"></em> {{ 'common.button.logout' | translate }}
        </button>
    </div>
</div>

<div class="container">
    <div>
        <nz-upload nz-col nzXs='24' nzLg='12' nzType='drag' [nzMultiple]='false' [(nzFileList)]='fileList'
            [nzBeforeUpload]='beforeUpload' [nzRemove]='doRemoveFile'>
            <div *ngIf="!fileImportName">
                <p class='ant-upload-drag-icon'>
                    <img alt="" src='assets/icon/staff-manager/import.svg'>
                </p>
                <p class='ant-upload-text'>
                    {{'common.upload.description'|translate}}
                </p>
                <p class='ant-upload-hint'>
                    {{'common.upload.supportJson'|translate}}
                </p>
            </div>
            <div *ngIf="fileImportName" class="nz__upload--content">
                <p class='ant-upload-drag-icon'>
                    <img style="width: 30px; margin-bottom: -10px" alt="" src='assets/icon/staff-manager/import.svg' />
                </p>
                <p class='ant-upload-text'>{{fileImportName}}</p>
                <p class='ant-upload-hint'>
                    {{fileImportSize}} MB
                </p>
                <p class='ant-upload-hint'>
                    {{resources}} Resources, {{policies}} Policies, {{scopes}} Scopes, {{clientRoles}} ClientRoles
                </p>
            </div>
        </nz-upload>
    </div>
    <div nz-row [nzGutter]='[10,10]' *ngIf='isExistFileImport'>
        <mb-button mbButtonType='BORDER' mbButtonSize='SMALL' mbButtonAvailableStyle='PRIMARY'
                   mbButtonText="{{'common.upload.upload'|translate }}"
                   class='mb__button--w100 mb__button--no-margin' nz-col nzXs='24' nzLg='12'
                   (click)='doImportFile()'></mb-button>
    </div>
</div>
